body,
* {
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
}
.page{
  overflow-x: hidden!important;
  margin: 0px!important;
}
:root {
  --pri-color: #ff0bac;
  --sec-color: #fff100;
  --ter-color: #62ba46;
  --accent-color: #14c2f3;
  --black-color: #000000;
  --text-color: #1e1e1e;
  --white-color: #ffffff;
  --bg-color: #f9f9ff;
}

main {
  background: var(--bg-color);
}
/* Colors & BG colors utility classes */
.color-pri {
  color: var(--pri-color);
}
.bg-pri {
  background-color: var(--pri-color);
}

.color-sec {
  color: var(--sec-color);
}
.bg-sec {
  background-color: var(--sec-color);
}

.color-ter {
  color: var(--ter-color);
}
.bg-ter {
  background-color: var(--ter-color);
}

.color-accent {
  color: var(--accent-color);
}
.bg-accent {
  background-color: var(--accent-color);
}

.color-text {
  color: var(--text-color);
}
.bg-text {
  background-color: var(--text-color);
}

/* Fonts Utility Classes */
.light {
  font-weight: 300;
}
.heavy {
  font-weight: 700;
}
.fs16 {
  font-size: 16px;
}
.fs18 {
  font-size: 18px;
}
.fs20 {
  font-size: 20px;
}
.fs24 {
  font-size: 24px;
}
.fs32 {
  font-size: 32px;
}
.fs48 {
  font-size: 48px;
}
.fs52 {
  font-size: 52px;
}
.fs60 {
  font-size: 60px;
}
.fs70 {
  font-size: 70px;
}

@media screen and (max-width: 1024px) {
  .fs16 {
    font-size: 16px;
  }
  .fs18 {
    font-size: 16px;
  }
  .fs20 {
    font-size: 20px;
  }
  .fs24 {
    font-size: 22px;
  }
  .fs32 {
    font-size: 26px;
  }
  .fs48 {
    font-size: 32px;
  }
  .fs52 {
    font-size: 34px;
  }
  .fs60 {
    font-size: 36px;
  }
  .fs70 {
    font-size: 42px;
  }
}
.underline {
  text-decoration: underline;
}
/* Unsetting default html styles */
a {
  text-decoration: unset;
  border: none;
}
a:visited,
a:hover,
a:focus,
a:active {
  color: inherit; /* Ensure all states inherit color */
  text-decoration: none; /* Remove underline for all states */
  outline: none; /* Remove outline for focused state */
}
#header-main * {
  transition: all 0.3s ease;
}

@media screen and (max-width: 1200px) {
  .bg-white-mobile {
    background-color: var(--white-color);
  }
}
.nav-link{
  line-height: unset!important;
}
#header-main ul{
  margin: 0!important;
}
#header-main a.nav-link {
  color: var(--black-color) !important;
}

#header-main a.nav-link.active {
  color: var(--black-color) !important;
  font-weight: 700 !important;
}
#header-main .navbar .nav-link:not(.dropdown-toggle)::after,
#footer-main .nav-link::after {
  display: block;
  content: "";
  width: 0%;
  height: 2px;
  border-radius: 10px;
  background-color: var(--pri-color);
  transition: all 0.3s ease;
  margin-left: auto;
  margin-right: 0;
}
#header-main .navbar .nav-link:not(.dropdown-toggle):hover::after,
#footer-main .nav-link:hover::after {
  width: 100%;
  transition: all 0.3s ease;
  margin-left: 0;
  margin-right: auto;
}
#header-main #menu-main-menu > li {
  padding: 4px 8px;
}

.navbar-toggler{
  border: none!important;
}
#header-main .dropdown-menu{
  max-width: 250px;
}
.dropdown-menu {
  background-color: rgba(24, 194, 243, 0.6) !important;
  backdrop-filter: blur(10px);
  border-radius: 16px !important;
  padding: 16px 8px !important;
}
a.dropdown-item {
  color: var(--white-color) !important;
  padding: 10px 20px !important;
  border-radius: 4px;
}
a.dropdown-item:hover {
  background-color: var(--accent-color);
}
#footer-main .nav-link {
  padding: 8px 0px;
  width: fit-content;
}

main {
  margin-top: 132px;
}

button {
  font-weight: 700;
}
p {
  line-height: 45px;
}
.button{
color: #fff;
  border: none;
  border-radius: 8px;
  transition: all 0.3s ease;
}
.button:hover{
  transition: all 0.3s ease;
}

.pri-btn:hover {
  background-color: var(--ter-color)!important;
}
.sec-btn {
  background-color: var(--sec-color);
}
.ter-btn {
  background-color: var(--ter-color);
}
.sec-btn:hover,.ter-btn:hover{
  background-color: var(--accent-color);
}
.btn-lg {
  font-size: 18px !important;
  padding: 10px 60px;
}

.btn-sm{
  font-size: 14px !important;
  padding: 10px 30px;
}
/* ================================= HOME CSS=========================================== */
body.page-template-home {
  background: var(--bg-color);
}

/* Hero section styling */
#blue-rounded-bg {
  position: absolute;
  background-color: var(--accent-color);
  z-index: 0;
  width: 40vw;
  height: 95%;
  top: auto;
  left: auto;
  right: 0;
  bottom: 0;
  border-radius: 100px 0px 0px 0px;
}
#hero-img {
  position: absolute;
  z-index: 0;
  left: auto;
  top: auto;
  bottom: 0;
  right: 15vw;
  width: max(50vw, 600px);
  max-width: min(90vw,850px);
}
@media screen and (min-width: 2000px) {
  #hero-img {
    right: auto;
    left: 45%;
  }
}
@media screen and (max-width: 1200px) {
  #hero-img {
    left: 50%;
    transform: translateX(-50%);
  }
  #blue-rounded-bg {
    height: 40%;
    width: 55vw;
  }
}
.content-div {
  position: relative;
  z-index: 1;
}

#hero {
  overflow: hidden;
  padding: 100px 0px 300px 0px;
}

/* backgrounds styling for chair,tables,desks */
#left-rounded-bg,
#right-rounded-bg,
#yellow-rounded-bg {
  position: absolute;
  width: 40vw;
  background-position: center center;
  background-size: cover;
}
#right-rounded-bg,
#yellow-rounded-bg {
  height: 100%;
  width: 40vw;
}
#left-rounded-bg {
  
  height: calc(90% + 100px);
  width: 40vw;
  border-radius: 0px 100px 100px 0px;
  top: -100px;
  left: 0;
}
#right-rounded-bg {
  left: auto;
  right: 0;
  border-radius: 20px 0px 0px 20px;
}

#yellow-rounded-bg {
  background-color: var(--sec-color);
  background-image: url("../assets/images/bg-yellow.png");
  left: 0;
  border-radius: 0px 20px 20px 0px;
}
@media screen and (max-width: 990px) {
  #left-rounded-bg {
    height: 50%;
    top: 0px;
    width: 50vw;
  }
  #right-rounded-bg {
    height: 50%;
    width: 50vw;
  }
  #yellow-rounded-bg {
    height: 50%;
    width: 50vw;
  }
}

/* Featured products - product cards settings */
.product-wrapper{
  background-color: #F7F8FA;
  border-radius: 10px;
  transition: all 0.3s ease;
}
.product-img img{
  height: 250px!important;
  /* width: 160px!important; */
  object-fit: contain;
  transition: all 0.3s ease;
}

.product-img{
  padding: 50px 0px 20px 0px;
}
.product-wrapper:hover{
  background-color: var(--accent-color);
  box-shadow: 0px 27px 32.8px -13px rgba(0, 0, 0, 0.12);
}
.product-wrapper:hover .product-img img{
  scale: 1.1;
  transition: all 0.3s ease;
}

.product-title{
  line-height: 22px;
  color: #ABABAB;
  transform: all 0.3s ease;
}
.product-wrapper:hover .product-title{
  color: #fff;
  transition: all 0.3s ease;
}
.partner-logos-wrapper{
  gap: min(80px, 5vw);
}
.partner-logos-wrapper img{
  height: 110px;
  width: auto;
  max-width: 30vw!important;
  object-fit: contain;
}

.project{
  height: 400px;
}
.project-wrapper{
  height: 100%;
  width: 100%;
  overflow: hidden;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s ease;
}
.project-wrapper:hover img {
  scale: 1;
  transition: all 0.3s ease;
}

.project-wrapper:hover{
  box-shadow: 0px 27px 20px -5px rgba(0, 0, 0, 0.22);
}
.project-wrapper img{
  min-height: 100%;
  min-width: 100%;
  object-fit: cover;
  object-position: center center;
  transition: all 0.3s ease;
  scale: 1.1;
}